%define name        libvncserver
%define up_name     LibVNCServer
%define version     0.9.9
%define subrel	    2
%define release     %mkrel 3
%define major       0
%define libname     %mklibname vncserver %{major}
%define develname   %mklibname -d vncserver

Name:       %{name}
Version:    %{version}
Release:    %{release}
Summary:    An easy API to write one's own VNC server
Group:      System/Libraries
License:    GPL
URL:        http://sourceforge.net/projects/libvncserver/
Source:     http://downloads.sourceforge.net/libvncserver/%{up_name}-%{version}.tar.gz
Patch0:	    LibVNCServer-0.9.9-formatstr.patch
Patch1:	    kdenetwork-4.10.5-krfb-Update-LZO-to-version-2.07-in-libvncserver.patch
Patch2:	    LibVNCServer-0.9.9-oCERT-2014-007-1.patch
Patch3:	    LibVNCServer-0.9.9-oCERT-2014-007-2.patch
Patch4:	    LibVNCServer-0.9.9-oCERT-2014-007-3.patch
Patch5:	    LibVNCServer-0.9.9-oCERT-2014-007-4.patch
Patch6:	    LibVNCServer-0.9.9-oCERT-2014-007-5.patch
BuildRequires:  libx11-devel
BuildRequires:  libxdamage-devel
BuildRequires:  libxext-devel
BuildRequires:  libxrandr-devel
BuildRequires:  libxtst-devel
BuildRequires:  libxinerama-devel
BuildRequires:  libxfixes-devel
BuildRequires:  openssl-devel
BuildRequires:  zlib-devel
BuildRequires:  jpeg-devel

%description
LibVNCServer makes writing a VNC server (or more correctly, a program
exporting a framebuffer via the Remote Frame Buffer protocol) easy.

It is based on OSXvnc, which in turn is based on the original Xvnc by
ORL, later AT&T research labs in UK.

It hides the programmer from the tedious task of managing clients and
compression schemata.

%package -n %{libname}
Summary:	An easy API to write one's own VNC server
Group:		System/Libraries

%description -n %{libname}
LibVNCServer makes writing a VNC server (or more correctly, a program
exporting a framebuffer via the Remote Frame Buffer protocol) easy.

It is based on OSXvnc, which in turn is based on the original Xvnc by
ORL, later AT&T research labs in UK.

It hides the programmer from the tedious task of managing clients and
compression schemata.

%package -n %{develname}
Summary:	Headers for developing programs that will use %{name}
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:  %{libname}-devel

%description -n %{develname}
Static libraries and header files for LibVNCServer.

%package -n linuxvnc
Summary:      VNC server to monitor a text session
Group:        Networking/Remote access

%description -n linuxvnc
With linuxvnc you can export your currently running text sessions to any VNC
client. So it can be useful, if you want to move to another computer without
having to log out and if you've forgotten to attach a 'screen' session to it,
or to help a distant colleague to solve a problem.

Based on the ideas of x0rfbserver and on LibVNCServer, it has evolved
into a versatile and performant while still easy to use program.

%prep
%setup -q -n %{up_name}-%{version}
%patch0 -p1 -b .formatstr
pushd common
%patch1 -p3 -b .lzo
popd
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1

%build
%configure2_5x --disable-static
%make

%install
rm -rf %{buildroot}
%makeinstall_std

rm -f %{buildroot}%{_libdir}/*.la

%multiarch_binaries %{buildroot}%{_bindir}/libvncserver-config

%clean
rm -rf %{buildroot}

%files -n %{libname}
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README TODO
%{_libdir}/*.so.%{major}
%{_libdir}/*.so.%{major}.*

%files -n %{develname}
%{_includedir}/rfb
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*.so
%{_bindir}/libvncserver-config
%multiarch %{multiarch_bindir}/libvncserver-config

%files -n linuxvnc
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README TODO
%{_bindir}/linuxvnc


%changelog
* Fri Oct 03 2014 luigiwalser <luigiwalser> 0.9.9-3.2.mga4
+ Revision: 736631
- add upstream patches to fix CVE-2014-605[1-5] (mga#14155)
- add patch from KDE to fix CVE-2014-4607 in bundled minilzo

* Fri Oct 18 2013 umeabot <umeabot> 0.9.9-3.mga4
+ Revision: 507418
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.9.9-2.mga3
+ Revision: 358399
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Aug 19 2012 luigiwalser <luigiwalser> 0.9.9-1.mga3
+ Revision: 282355
- 0.9.9
- fix format string error

* Tue Jan 03 2012 fwang <fwang> 0.9.8.2-1.mga2
+ Revision: 189960
- new version 0.9.8.2
- new version 0.9.8

  + ahmad <ahmad>
    - imported package libvncserver

